> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fungies.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get webhook details

> Retrieve a specific webhook by its ID, including its subscribed event types.



## OpenAPI

````yaml /api-reference/api-docs.yaml get /v0/webhooks/{webhookId}
openapi: 3.1.0
info:
  title: Fungies API v0
  version: 0.3.7
servers:
  - url: https://api.fungies.io
security: []
tags:
  - name: discounts
    description: Discounts related endpoints
  - name: keys
    description: Offer product keys related endpoints
  - name: orders
    description: Orders related endpoints
  - name: payments
    description: Payments related endpoints
  - name: offers
    description: Offers related endpoints
  - name: products
    description: Products related endpoints
  - name: subscriptions
    description: Subscriptions related endpoints
  - name: tax
    description: Tax calculation related endpoints
  - name: users
    description: Users related endpoints
  - name: variants
    description: Product variants related endpoints
  - name: plans
    description: Product plans related endpoints
  - name: elements
    description: Elements related endpoints
  - name: webhooks
    description: Webhooks related endpoints
paths:
  /v0/webhooks/{webhookId}:
    get:
      tags:
        - webhooks
      summary: Get webhook details
      description: >-
        Retrieve a specific webhook by its ID, including its subscribed event
        types.
      operationId: GetV0WebhooksWebhookId
      parameters:
        - name: webhookId
          in: path
          required: true
          description: Unique identifier (UUID) of the webhook.
          schema:
            $ref: '#/components/schemas/GetV0WebhooksWebhookIdParameterWebhookId'
      responses:
        '200':
          description: GET /v0/webhooks/:webhookId Positive response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetV0WebhooksWebhookIdPositiveResponse'
        '400':
          description: GET /v0/webhooks/:webhookId Negative response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetV0WebhooksWebhookIdNegativeResponse'
              examples:
                example1:
                  value:
                    status: error
                    error:
                      message: Sample error message
      security:
        - APIKEY_1: []
components:
  schemas:
    GetV0WebhooksWebhookIdParameterWebhookId:
      type: string
      format: uuid
      description: Unique identifier (UUID) of the webhook.
    GetV0WebhooksWebhookIdPositiveResponse:
      type: object
      properties:
        status:
          type: string
          const: success
        data:
          type: object
          properties:
            webhook:
              type: object
              properties:
                object:
                  type: string
                  enum:
                    - webhook
                  default: webhook
                id:
                  type: string
                  format: uuid
                url:
                  type: string
                status:
                  type: string
                  enum:
                    - active
                    - inactive
                secret:
                  type: string
                events:
                  type: array
                  items:
                    type: string
                    enum:
                      - payment_success
                      - payment_refunded
                      - payment_failed
                      - subscription_created
                      - subscription_interval
                      - subscription_updated
                      - subscription_cancelled
                createdAt:
                  type:
                    - integer
                    - 'null'
                  format: int64
                  minimum: 0
                  maximum: 9007199254740991
                deletedAt:
                  type:
                    - integer
                    - 'null'
                  format: int64
                  minimum: 0
                  maximum: 9007199254740991
                  default: null
              required:
                - id
                - url
                - status
                - secret
                - events
                - createdAt
          required:
            - webhook
      required:
        - status
        - data
    GetV0WebhooksWebhookIdNegativeResponse:
      type: object
      properties:
        status:
          type: string
          const: error
        error:
          type: object
          properties:
            message:
              type: string
          required:
            - message
      required:
        - status
        - error
  securitySchemes:
    APIKEY_1:
      type: apiKey
      in: header
      name: x-fngs-public-key

````